'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.verbose = exports.success = exports.info = exports.error = exports.bug = undefined;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isVerbose = process.env.NODE_ENV === 'development';

var bug = exports.bug = function bug(value, err) {
  return console.error(_chalk2.default.red('! %s\n\n! Please raise an issue at %s\n\n%s'), value, _chalk2.default.underline('https://github.com/JamieMason/syncpack/issues'), String(err.stack).replace(/^/gm, '    '));
};
var error = exports.error = function error(value) {
  return console.error(_chalk2.default.red('! %s'), value);
};
var info = exports.info = function info(value) {
  return console.info(_chalk2.default.blue('i %s'), value);
};
var success = exports.success = function success(value) {
  return console.info(_chalk2.default.green('✓ %s'), value);
};
var verbose = exports.verbose = function verbose(value) {
  return isVerbose && console.info(_chalk2.default.grey('? %s'), value);
};